/******************************************************************************/
/*	LevelMeasureEngine.h - Level Measurement Engine Header File
/*
/*	Copyright (c) 2000, Product Technology Partners Ltd
/*
/*	Author(s):	Martin Saxon
/*
/*	Created: 24-Jul-2000
/*	Updated: 24-Jul-2000
/*
/******************************************************************************/

/*	Purpose
/*	-------
/*
/*                                                                            */

/*	History
/*	-------
/*	24-Jul-2000	MJS	Created
/*                                                                            */

/******************************************************************************/


double P56LevelMeasure(double *inSamples, int nInSamples, int sampleRate, double *longTermLevel, double *activityFactor);
double RMSLevelMeasure(double *inSamples, int nInSamples);
double InstPeakLevelMeasure(double *inSamples, int nInSamples);
void get_levels(char* sigfile, FILE *sig_fd, ULONG *total_bytes, ULONG *sig_len_bytes, struct formathead *sig_head,
								double *rms, double *P56, double *peak);
